import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static void main(String[] args) {
    var names = List.of("Dory", "Gill", "Bruce", "Nemo", "Darla", "Marlin", "Jacques");
  
    for(int i = 0; i < names.size(); i++) {
      if(i > 5) {
        break;
      }

      System.out.println(names.get(i));
    }
    
    System.out.println("----");
    
    names.stream()
      .limit(6)
      .forEach(System.out::println);
  }
}

//flow in functional style of programming

// cat source.txt | grep "someword" | sed ... | wc -l
// data source    | filter          | map     | reduce
// air            | purifier        | heater  | ...
// water          | purifier'       | cooler  | ...

